%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Scalar::Util\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(XSLoader\\)$

Summary:  Simple standalone parameter-checking functions
Name:     perl-Params-Util
Version:  1.102
Release:  7%{?dist}
License:  GPL+ or Artistic
URL:      https://metacpan.org/release/Params-Util
Source0:  https://cpan.metacpan.org/authors/id/R/RE/REHSACK/Params-Util-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:	perl-interpreter	perl-generators	perl-devel	perl(strict)
BuildRequires:  perl(Capture::Tiny) perl(Config::AutoConf) perl(inc::latest)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.52	perl(File::Spec) >= 0.82
BuildRequires:	perl(Exporter)	perl(overload)	perl(vars)
BuildRequires:	perl(Scalar::Util) >= 1.18 perl(XSLoader) >= 0.22
BuildRequires:	perl(Test::More) >= 0.47	perl(File::Spec::Functions)
Requires:       perl(Scalar::Util) >= 1.18 perl(XSLoader) >= 0.22

%description
This module provides a basic set of importable functions that makes it easy to check parameters.

%prep
%autosetup -n Params-Util-%{version}
rm -rf inc/latest* inc/inc_*

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test AUTOMATED_TESTING=1

%files
%license LICENSE
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Params
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.102-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.102-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.102-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.102-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.102-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.102-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Wang Guodong <gordonwwang@tencent.com> - 1.102-1
- package init.
